﻿@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

/* Animation */
.animation {
    animation: entrar 2s ease-out forwards;
    opacity: 0;
}

.scroll-animation {
    opacity: 0;
}

.animation-top {
    transform: translateY(-80px);
    animation-delay: 0.5s;
}

.animation-left {
    transform: translateX(-80px);
    animation-delay: 0.5s;
}

.animation-right {
    transform: translateX(80px);
    animation-delay: 0.5s;
}

.animation-bottom {
    transform: translateY(80px);
    animation-delay: 0.5s;
}

@keyframes entrar {
    to {
        transform: translate(0, 0);
        opacity: 1;
    }
}


/* Background */
.bg-image {
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
}

.bg-dark {
    background-color: #112933 !important;
}

.bg-primary {
    background-color: #0085d3 !important;
}

.bg-pendencia {
    background-color: orangered !important;
}


/* Font */
.font-12 {
    font-size: 12px !important;
    line-height: 1.25;
}

.font-14 {
    font-size: 14px !important;
    line-height: 1.25;
}

.font-24 {
    font-size: 24px !important;
    line-height: 1.25;
}

.font-32 {
    font-size: 32px !important;
    line-height: 1.25;
}

.font-bold {
    font-weight: 700;
}

.uppercase {
    text-transform: uppercase;
}


/* Index */
.z-0 {
    z-index: 0;
}

.z-1 {
    z-index: 1;
}


/* Link */
a {
    text-decoration: none;
}


/* Margin */
.mt-md-7 {
    margin-top: 6.75rem !important;
}


/* Max-width */
.max-300 {
    max-width: 300px;
}

.max-450 {
    max-width: 450px;
}

.max-100 {
    max-width: 100px;
}

.max-50 {
    max-width: 50px;
}


/* Padding */
.pl-4{
    padding-left: 1.5rem !important;
}

.pt-6 {
    padding-top: 5rem !important;
}

.py-6 {
    padding-top: 5rem !important;
    padding-bottom: 5rem !important;
}

.py-md-7 {
    padding-top: 6.75rem !important;
    padding-bottom: 6.75rem !important;
}


/* Rounded Theme */
.rounded-theme {
    border-radius: 1rem;
}

.rounded-theme-top {
    border-radius: 1rem 1rem 0 0 !important;
}


/* Swal */
.swal2-icon.swal2-info {
    border-color: #0085d3 !important;
    color: #0085d3 !important;
}

.swal2-icon.swal2-warning {
    border-color: #0085d3 !important;
    color: #0085d3 !important;
}

.my-ok-button {
    background-color: #0085d3 !important;
    color: white;
}


/* Text */
.text-gray {
    color: #808080 !important;
}

.text-dark {
    color: #112933 !important;
}

.text-primary {
    color: #0085d3 !important;
}

.text-aprovado {
    color: lawngreen !important;
}

.text-pendencias {
    color: orangered !important;
}

.text-aguardando {
    color: gold;
}

.text-danger2 {
    color: darkred;
}


/* Validation */
.valido {
    border: 2px solid #28a745 !important;
    background-color: #eaffea;
}

.invalido {
    border: 2px solid #dc3545 !important;
    background-color: #ffecec;
}

.sucesso-msg {
    color: #28a745;
    font-size: 0.85rem;
}

.erro-msg {
    color: #dc3545;
    font-size: 0.85rem;
}
